Name:          hessian
Summary:       Java implementation of a binary protocol for web services 
Version:       4.0.38
Release:       2%{?dist}
Epoch:         0
License:       ASL 1.1
URL:           http://hessian.caucho.com/
Source0:       http://caucho.com/download/%{name}-%{version}-src.jar
Source1:       http://repo1.maven.org/maven2/com/caucho/%{name}/%{version}/%{name}-%{version}.pom
Source2:       hessian-license.txt

BuildRequires: maven-local
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
This is the Java implementation of Caucho's Hession binary transport
protocol for web services.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -c

mkdir src
mv com src/
# Remove useless files
rm -r META-INF
# NO test suite
rm -r src/com/caucho/hessian/test

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} apache.license
%pom_change_dep :servlet-api javax.servlet:javax.servlet-api:3.1.0

# Useless tasks
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_set pom:properties/pom:project.build.sourceEncoding UTF-8

%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin:3.0.1 . "
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-SymbolicName>\${project.groupId}.\${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Name>\${project.name}</Bundle-Name>
    <Bundle-Version>\${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"

%mvn_config buildSettings/compilerSource 1.8

%mvn_file com.caucho:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license apache.license

%files javadoc -f .mfiles-javadoc
%license apache.license

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:4.0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Oct 29 2016 gil cattaneo <puntogil@libero.it> 0:4.0.38-1
- update to 4.0.38
- use glassfish-servlet-api
- add OSGi manifest

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0:4.0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 04 2015 gil cattaneo <puntogil@libero.it> 0:4.0.7-10
- use servlet api 3.1
- use new javapackages macros

* Thu Feb 05 2015 gil cattaneo <puntogil@libero.it> 0:4.0.7-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0:4.0.7-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> - 0:4.0.7-3
- Use newer tomcat

* Tue Feb 14 2012 Andy Grimm <agrimm@gmail.com> - 0:4.0.7-2
- enable javadoc, follow current guidelines

* Mon Aug 29 2011 Andy Grimm <agrimm@gmail.com> - 0:4.0.7-1
- Initial build

